# Uses of Interface
com.fasterxml.jackson.core.async.NonBlockingInputFeeder

Packages that use NonBlockingInputFeeder
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.async
Package that contains abstractions needed to support optional non-blocking decoding (parsing) functionality.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of NonBlockingInputFeeder in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return NonBlockingInputFeeder
Modifier and Type
Method
Description
`NonBlockingInputFeeder`
JsonParser.`getNonBlockingInputFeeder()`
Method that will either return a feeder instance (if parser uses non-blocking, aka asynchronous access); or `null` for parsers that use blocking I/O.

## Uses of NonBlockingInputFeeder in com.fasterxml.jackson.core.async

Subinterfaces of NonBlockingInputFeeder in com.fasterxml.jackson.core.async
Modifier and Type
Interface
Description
`interface`
`ByteArrayFeeder`
`NonBlockingInputFeeder` implementation used when feeding data as byte arrays.
`interface`
`ByteBufferFeeder`
`NonBlockingInputFeeder` implementation used when feeding data as `ByteBuffer` contents.

## Uses of NonBlockingInputFeeder in com.fasterxml.jackson.core.json.async

Classes in com.fasterxml.jackson.core.json.async that implement NonBlockingInputFeeder
Modifier and Type
Class
Description
`class`
`NonBlockingByteBufferJsonParser`
Non-blocking parser implementation for JSON content that takes its input via `ByteBuffer` instance(s) passed.
`class`
`NonBlockingJsonParser`
Non-blocking parser implementation for JSON content that takes its input via `byte[]` passed.
Methods in com.fasterxml.jackson.core.json.async that return NonBlockingInputFeeder
Modifier and Type
Method
Description
`NonBlockingInputFeeder`
NonBlockingByteBufferJsonParser.`getNonBlockingInputFeeder()`

## Uses of NonBlockingInputFeeder in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return NonBlockingInputFeeder
Modifier and Type
Method
Description
`NonBlockingInputFeeder`
JsonParserDelegate.`getNonBlockingInputFeeder()`